X2Go Bug report logs - #157
x2goclient.app 4.0.0.4 crashes immediately on launch

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Seth Hillbrand <seth.hillbrand@gmail.com>

Date: Thu, 28 Mar 2013 20:48:02 UTC

Severity: normal

Tags: build-macosx

Merged with 209

Found in versions 4.0.0.4, latest

Done: Mihai Moldovan <ionic@ionic.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#157; Package x2goclient. (Thu, 28 Mar 2013 20:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Seth Hillbrand <seth.hillbrand@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 28 Mar 2013 20:48:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Seth Hillbrand <seth.hillbrand@gmail.com>
To: submit@bugs.x2go.org
Subject: x2goclient.app 4.0.0.4 crashes immediately on launch
Date: Thu, 28 Mar 2013 13:34:42 -0700
Package: x2goclient
Version: 4.0.0.4

Running x2goclient 4.0.0.4 on MacOS 10.6.8 crashes immediately on
launch.  3.99.21 works fine on same machine.

Attached is the Diagnostic report from MacOS:

Process:         launchd [2898]
Path:            /Applications/x2goclient.app/Contents/MacOS/x2goclient
Identifier:      launchd
Version:         ??? (???)
Code Type:       X86-64 (Native)
Parent Process:  launchd [102]

Date/Time:       2013-03-28 13:20:19.110 -0700
OS Version:      Mac OS X 10.6.8 (10K549)
Report Version:  6

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0xfffffffffffffff8
Crashed Thread:  Unknown

Backtrace not available

Unknown thread crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000055  rbx: 0x0000000000000000  rcx:
0x0000000000000000  rdx: 0x0000000000000000
  rdi: 0x0000000000000000  rsi: 0x0000000000000000  rbp:
0x0000000000000000  rsp: 0x0000000000000000
   r8: 0x0000000000000000   r9: 0x0000000000000000  r10:
0x0000000000000000  r11: 0x0000000000000000
  r12: 0x0000000000000000  r13: 0x0000000000000000  r14:
0x0000000000000000  r15: 0x0000000000000000
  rip: 0x00007fff5fc01028  rfl: 0x0000000000010203  cr2: 0xfffffffffffffff8

Binary images description not available


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#157; Package x2goclient. (Sun, 09 Jun 2013 12:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "hi" <cetautomatix93@aol.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sun, 09 Jun 2013 12:03:02 GMT) Full text and rfc822 format available.

Message #10 received at 157@bugs.x2go.org (full text, mbox):

From: "hi" <cetautomatix93@aol.com>
Subject: hallo
Date: Sun, 9 Jun 2013 19:46:57 +0800
[Message part 1 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#157; Package x2goclient. (Wed, 10 Jul 2013 04:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to jtrichards@reinf.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 10 Jul 2013 04:33:01 GMT) Full text and rfc822 format available.

Message #15 received at 157@bugs.x2go.org (full text, mbox):

From: "JT Richards" <jtrichards@reinf.com>
To: 157@bugs.x2go.org
Subject: Invitation - Please Complete Your Profile
Date: Tue, 09 Jul 2013 07:35:09 -0400
[Message part 1 (text/plain, inline)]
Hello,

As you are more than likely aware, you were recently selected 
for inclusion in the new 2013 edition of the Who's Who Among 
Executives and Professionals.

Despite our efforts, we have not yet received confirmation of 
your biographical profile, and are reaching out to you again 
in an effort to do so.

Click the link below to verify and confirm your profile:

http://www.reinf.com/link.php?M=928875&N=164&L=8&F=T

The tradition of the Who's Who reaches back more than 
100 years to a time when the prestigious and accomplished 
were featured in a yearly publication that defined high society.

Today, the Who's Who provides a useful resource where business 
professionals, academics, and Executives are both recognized for 
their achievements and provided with an unparalleled networking 
resource. Using our database, you can make global contacts, 
discuss current events and happenings with your peers, and 
establish yourself as either a mentor to aspiring professionals or 
further your business network.

Our goal is to seek out the premier executives and professionals 
throughout the world. There is absolutely no cost or obligation 
for your biographical profile. Simply click the link below to fill 
out the appropriate biographical fields:

http://www.reinf.com/link.php?M=928875&N=164&L=8&F=T


Sincerely,

JT Richards
Managing Director
Who's Who Among Executives and Professionals
http://www.reinf.com/link.php?M=928875&N=164&L=8&F=T



To change your communication options please click this link

http://www.reinf.com/link.php?M=928875&N=164&L=4&F=T

or write to:

3635 S. Fort Apache Rd, Suite 200 - 637
Las Vegas, NV 89147
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#157; Package x2goclient. (Mon, 19 Aug 2013 10:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Annemar Kalata <kasaetyypyotr@photofile.ru>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 19 Aug 2013 10:03:02 GMT) Full text and rfc822 format available.

Message #20 received at 157@bugs.x2go.org (full text, mbox):

From: Annemar Kalata <annemarzwv775@yahoo.com>
To: 157@bugs.x2go.org
Subject: Hey! Now I am searching for for boyfriend!
Date: Mon, 19 Aug 2013 02:49:55 -0700 (PDT)
[Message part 1 (text/plain, inline)]
pankqeacjg onvoqbg gnwbrcwr
fmebenh qiakonh gflkifil
vudqopy G W Q G M C B E O C M R Z
rjxqnj F U I X
rpiexlk cjorq wynxxzthilrponwn
rorikjamql klhicsu bhnhevof
emqoyy I F N L Z B X F U V R M F K
uroivtxduwmcbqgoi R B I G B M G Q Z W D B
[ondll.jpg (image/jpeg, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#157; Package x2goclient. (Tue, 20 Aug 2013 07:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to sharingservices@aol.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 20 Aug 2013 07:33:02 GMT) Full text and rfc822 format available.

Message #25 received at 157@bugs.x2go.org (full text, mbox):

From: sharingservices@aol.com
To: 157@bugs.x2go.org
Subject: Hi there (recommends)
[Message part 1 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#157; Package x2goclient. (Tue, 27 Aug 2013 09:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to sharingservices@aol.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 27 Aug 2013 09:18:02 GMT) Full text and rfc822 format available.

Message #30 received at 157@bugs.x2go.org (full text, mbox):

From: sharingservices@aol.com
To: 157@bugs.x2go.org
Subject: Howdy ! (recommends)
[Message part 1 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#157; Package x2goclient. (Sun, 08 Sep 2013 10:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to sharingservices@aol.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sun, 08 Sep 2013 10:33:02 GMT) Full text and rfc822 format available.

Message #35 received at 157@bugs.x2go.org (full text, mbox):

From: sharingservices@aol.com
To: 157@bugs.x2go.org
Subject: Greetings (recommends)
[Message part 1 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#157; Package x2goclient. (Sun, 15 Sep 2013 16:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clemens Lang <neverpanic@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sun, 15 Sep 2013 16:33:02 GMT) Full text and rfc822 format available.

Message #40 received at 157@bugs.x2go.org (full text, mbox):

From: Clemens Lang <neverpanic@gmail.com>
To: 157@bugs.x2go.org
Subject: Please check whether this is fixed with 4.0.1.1
Date: Sun, 15 Sep 2013 18:21:41 +0200
I believe this is fixed with x2goclient 4.0.1.1 currently available from
http://files.neverpanic.de/x2goclient/ (the same binary will be
available from the official download page soon).

-- 
Clemens


Marked as found in versions latest. Request was from Clemens Lang <neverpanic@gmail.com> to control@bugs.x2go.org. (Sun, 15 Sep 2013 16:33:03 GMT) Full text and rfc822 format available.

Merged 157 209 Request was from Clemens Lang <neverpanic@gmail.com> to control@bugs.x2go.org. (Sun, 15 Sep 2013 16:33:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#157; Package x2goclient. (Tue, 17 Sep 2013 11:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 17 Sep 2013 11:33:02 GMT) Full text and rfc822 format available.

Message #49 received at 157@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Clemens Lang <neverpanic@gmail.com>, 157@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#157: Please check whether this is fixed with 4.0.1.1
Date: Tue, 17 Sep 2013 13:27:04 +0200
[Message part 1 (text/plain, inline)]
Hi all,

On So 15 Sep 2013 18:21:41 CEST Clemens Lang wrote:

> I believe this is fixed with x2goclient 4.0.1.1 currently available from
> http://files.neverpanic.de/x2goclient/ (the same binary will be
> available from the official download page soon).

the latest dmg of X2Go Client is now also official available at [1].

Mike

[1] http://code.x2go.org/releases/binary-macosx/x2goclient/releases/4.0.1.1/


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) build-macosx. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 28 Feb 2014 12:00:01 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Thu, 02 Jul 2015 20:25:02 GMT) Full text and rfc822 format available.

Notification sent to Seth Hillbrand <seth.hillbrand@gmail.com>:
Bug acknowledged by developer. (Thu, 02 Jul 2015 20:25:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 31 Jul 2015 05:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed May 22 02:49:15 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.